﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace PCUT.Entities.ApiResponse
{
    public class DataResponse<TData>
    {
        [JsonProperty("data")]
        public TData Data { get; set; }
    }

    public class PaginationResponse<TData> : DataResponse<TData>
    {
        [JsonProperty("pagination")]
        public Pagination Pagination { get; set; }
    }
}
