﻿using PCUT.Entities;
using PCUT.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Content Dialog item template is documented at https://go.microsoft.com/fwlink/?LinkId=234238

namespace PCUT.Pages.BannerManagement
{
    public sealed partial class BannerUpsertDialog : ContentDialog
    {
        private readonly BannerUpsertViewModel _context;
        public BannerUpsertDialog(string bannerId = null)
        {
            this.InitializeComponent();
            Title = bannerId is null ? "ADD BANNER" : "EDIT BANNER";
            _context = this.DataContext as BannerUpsertViewModel;
            _context.Initialize(bannerId);
        }

        private async void ContentDialog_Opened(ContentDialog sender, ContentDialogOpenedEventArgs args)
        {
            await _context.LoadAsync();
        }
    }
}
